Package org.globus.rsl

# Class RSLParserTokenManager

java.lang.Object
org.globus.rsl.RSLParserTokenManager

All Implemented Interfaces:
  `RSLParserConstants`

public class RSLParserTokenManager extends Object implements RSLParserConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`protected char`
`curChar`
`static final String[]`
`jjstrLiteralImages`
`static final String[]`
`lexStateNames`

### Fields inherited from interface org.globus.rsl.RSLParserConstants

`AND, CHARACTER, DEFAULT, DIGIT, DOUBLE_QUOTED_LITERAL, EOF, EQUAL, GREATER_THAN, GREATER_THAN_EQUAL, LESS_THAN, LESS_THAN_EQUAL, LPAREN, MULTI, NOT_EQUAL, OR, OTHER_CHAR, RPAREN, SINGLE_QUOTED_LITERAL, tokenImage, UNQUOTED_LITERAL, VARIABLES, VARIABLES_DQUOTE, VARIABLES_SQUOTE, VARSTART`

## Constructor Summary

Constructors
Constructor
Description
`RSLParserTokenManager(ASCII_CharStream stream)`
`RSLParserTokenManager(ASCII_CharStream stream, int lexState)`

## Method Summary

Modifier and Type
Method
Description
`final Token`
`getNextToken()`
`void`
`ReInit(ASCII_CharStream stream)`
`void`
`ReInit(ASCII_CharStream stream, int lexState)`
`void`
`SwitchTo(int lexState)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### jjstrLiteralImages

public static final String[] jjstrLiteralImages

### lexStateNames

public static final String[] lexStateNames

### curChar

protected char curChar

## Constructor Details

### RSLParserTokenManager

public RSLParserTokenManager(ASCII_CharStream stream)

### RSLParserTokenManager

public RSLParserTokenManager(ASCII_CharStream stream, int lexState)

## Method Details

### ReInit

public void ReInit(ASCII_CharStream stream)

### ReInit

public void ReInit(ASCII_CharStream stream, int lexState)

### SwitchTo

public void SwitchTo(int lexState)

### getNextToken

public final Token getNextToken()